Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\Core\FieldType\Author\Author Class Reference

Value object for an author. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Author\Author:

## Public Attributes
| $id
| $name
| $email

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Value object for an author.

Definition at line 14 of file Author.php.

## Member Data Documentation

## ◆ $email

eZ\Publish\Core\FieldType\Author\Author::$email

Definition at line 36 of file Author.php.

## ◆ $id

eZ\Publish\Core\FieldType\Author\Author::$id

Definition at line 22 of file Author.php.

## ◆ $name

eZ\Publish\Core\FieldType\Author\Author::$name

Definition at line 29 of file Author.php.

The documentation for this class was generated from the following file:

- Author.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.